var Ayuda = {
    init: function () {
        $('#tipomsg').on('change', Ayuda.mostrarSugerencia);
        $('#get_help').on('click',function() { $('#frmComentario').submit();});
        $('#frmComentario').on('submit', Ayuda.enviarComentario);
        $('#report_error_ayuda').on('click', Ayuda.guiaReporte);

        Ayuda.validatorProntusForm = new Validador('frmComentario', 'one', 'FDF8C1');
        Ayuda.validatorProntusForm.addconstraint('nombre', 'obligatorio', '', 'Debes indicar Nombre');
        Ayuda.validatorProntusForm.addconstraint('email', 'obligatorio', '', 'Debes indicar Email');
        Ayuda.validatorProntusForm.addconstraint('tipomsg', 'obligatorio', '', 'Debes indicar el Motivo de Contacto');
        Ayuda.validatorProntusForm.addconstraint('asunto', 'obligatorio', '', 'Debes indicar el Asunto');
        Ayuda.validatorProntusForm.addconstraint('mensaje', 'obligatorio', '', 'Debes ingresar un Mensaje');
    },
    enviarComentario: function () {
        var options = {
            url:        '/' + Admin.dir_cgi_cpn + '/prontus_help_sbmitcom.cgi',
            type:       'POST',
            dataType:   'json',
            success: function (data) {
                if (data.status == '0') {
                    showModalAlert({
                        title: 'Advertencia',
                        type: 'blue',
                        msg: data.msg
                    });
                } else {
                    showModalAlert({
                        title: 'Advertencia',
                        type: 'blue',
                        msg: data.msg
                    });
                    $('#frmComentario').find('input[type="text"]').val('');
                    $('#frmComentario').find('input[type="file"]').val('');
                    $('#frmComentario').find('textarea').val('');
                    $('#frmComentario').find('select').val('');
                    $('#report_error_ayuda').hide();
                    $('#opt1').attr("checked", "checked");
                }
                $('.boton-gris3').show();
                $('#loadingcom').hide();
            },
            error: function () {
                showModalAlert({
                    title: 'Error',
                    type: 'red',
                    msg: 'Ocurrió un error, inténtalo nuevamente.'
                });
            }
        };

        if (Ayuda.validatorProntusForm.validar()) {
            $('#frmComentario').ajaxSubmit(options);
        }
        return false;
    },

    mostrarSugerencia: function () {
        var selected = $('select[name="tipomsg"]').val();
        if (selected === 'Reporte de Error') {
            $('#report_error_ayuda').show();
        } else {
            $('#report_error_ayuda').hide();
        }
    },

    guiaReporte: function () {
        var str;
        str = "Para reportar un error, completa el mensaje con la siguiente información:<br><br>";
        str += "* Asunto: Resumen del problema, por ejemplo, 'No se pueden subir fotos'.<br>";
        str += "* Mensaje: Descripción del problema lo más detallado posible, incluir idealmente los pasos para reproducir el problema y los datos utilizados.";

        showModalAlert({
            title: 'Guía de reporte de errores',
            type: 'blue',
            msg: str
        });
    }
};

Ayuda.init();
